Subject: Re: bug#66567: [PATCH] use-package: Add ignored-files support to :vc keyword

From: Tony Zorman <[email-masked]>
Date: Tue, 14 May 2024 18:08:38 +0200

Hi,

On Fri, May 03 2024 23:16, John Wiegley wrote:
>>>>>> Eli Zaretskii <[email-masked]> writes:
>
>>> I'd really like to see this merged; if it helps move things along a
>>> bit quicker, I can also make the necessary changes to package-vc.el.
>
>> John, could you please review the patches and comment?
>
> Hi Eli, I’ve read through the proposed patches. What’s being proposed looks
> good to me, except that I find it odd that it mentions two new keywords in the
> ChangeLog that have nothing to do with the :vc keyword. Why conflate that into
> this changeset? I don’t see those keywords mentioned anywhere else but the
> valid keywords list, so is this for economy rather than creating two patches?

I did attach two patches to the original message, separating these out.
Though you are right that perhaps I should have also created two
separate bugs for this. It's just something I noticed along the way and
figured I'd forget again if I didn't fix it immediately.

These keywords (I hope I haven't misunderstood you and you are referring
to :make and :shell-command) do, however, have something to do with :vc
in the sense that they are sub-keywords of it, much like :ignored-files
is.

  Tony

-- 
Tony Zorman | https://tony-zorman.com/